---
- hosts: all
  gather_facts: False
  roles: [debian-bootstrap]
  post_tasks:
      - name: APT install sudo
        apt:
            name: sudo
            state: present

      - name: Test gathering facts
        setup:

      - name: Test ping
        ping:

      - name: Test task with an unprivileged user
        become: True
        become_user: nobody
        command: whoami
        changed_when: False

      - name: Assertions
        assert:
            that:
                - ansible_default_ipv4 is defined
                - ansible_lsb is mapping
